Bug 70140 - Kernel doesn't support LVM out of the box
Kernel doesn't support LVM out of the box
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: mkinitrd (Show other bugs)
limbo
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 14:15 EDT by Nathan G. Grennan
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-31 08:45:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-07-30 14:15:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
I have a LVM Volume Groups setup and the precompiled kernel doesn't have LVM
support compiled in and doesn't load it via initrd. To workaround this I would
need to modify initrd or recompile the kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup LVM Volume Groups
2. Reboot machine
	

Actual Results:  rc.sysinit doesn't detect the /proc/lvm entries and so doesn't
activate the Volume Groups

Expected Results:  rc.sysinit dtects /proc/lvm entries and activates Volume Groups

Additional info:
Comment 1 Nathan G. Grennan 2002-07-30 14:44:42 EDT
Limbo beta2
Comment 2 Erik Troan 2002-08-01 08:49:37 EDT
All of the kernel bits are turned on (have been for a while), but lvm didn't
work properly w/ mkinitrd. That's fixed in mkinitrd 3.4.20.

Note You need to log in before you can comment on or make changes to this bug.